Returns metadata for the specified bucket.

## Required permissions

The authenticated user must have the `storage.buckets.get` IAM permission to use
this method. Additionally, to return specific bucket metadata, the authenticated user must have the following permissions:

- To return the IAM policies: `storage.buckets.getIamPolicy`
- To return the bucket IP filtering rules: `storage.buckets.getIpFilter`

## Request

### HTTP request

```
GET https://storage.googleapis.com/storage/v1/b/bucket
```

In addition to [standard query parameters](https://docs.cloud.google.com/storage/docs/json_api/v1/parameters.md.txt#query),
the following query parameters apply to this method.

To see an example of how to include query parameters in a request, see the
[JSON API Overview](https://docs.cloud.google.com/storage/docs/json_api.md.txt#query_parameters) page.

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Path parameters** |||
| `bucket` | `string` | Name of a bucket. |
| **Optional query parameters** |||
| `generation` | `long` | If present, selects a specific soft-deleted version of this bucket instead of the live version. This parameter is required if `softDeleted` is set to `true`. |
| `ifMetagenerationMatch` | `long` | Makes the return of the bucket metadata conditional on whether the bucket's current metageneration matches the given value. |
| `ifMetagenerationNotMatch` | `long` | Makes the return of the bucket metadata conditional on whether the bucket's current metageneration does not match the given value. |
| `projection` | `string` | Set of properties to return. Defaults to `noAcl`. Acceptable values are: - `full`: Include all properties. - `noAcl`: Omit `owner`, `acl`, and `defaultObjectAcl` properties. <br /> |
| `softDeleted` | `boolean` | If `true`, returns the soft-deleted bucket. This parameter is required if `generation` is specified. |

### Request body

Do not supply a request body with this method.

## Response

If successful, this method returns a [bucket
resource](https://docs.cloud.google.com/storage/docs/json_api/v1/buckets#resource) in the response body.

For information about status and error codes returned by this API, see the
[reference page](https://docs.cloud.google.com/storage/docs/json_api/v1/status-codes.md.txt).

## Try it!


Use the APIs Explorer below to call this method on live data and see the response.